var  Ped00301_posicaoFinanceiraCliente_Controller = function(ScreenService, General, templateManager, Ped00301_posicaoFinanceiraCliente_Service, ZHPromise, restEngine){
    
    this.filialLogada = '';
    this.initialized = false;
    
    this.initializePosicaoFinanceira = function(widget) {
        // var now = moment(new Date()).format("DD/MM/YYYY");
        // var later = moment(new Date()).add(7,'days').format("DD/MM/YYYY");
        // var dateInterval = {
        //   "end": later,
        //   "period": undefined,
        //   "start": now
        // };
        // widget.widgets[0].currentRow.DTPREVIVENDA = dateInterval;
        
        if(widget.currentRow.TELAORIGINAL == undefined) widget.currentRow.TELAORIGINAL = "LANCAMENTO";

        var posicaoWidgets = [];
        posicaoWidgets[0] = templateManager.container.getWidget('PosicaoFinanceira');
        posicaoWidgets[1] = templateManager.container.getWidget('ContasAbertas');
        posicaoWidgets[2] = templateManager.container.getWidget('ContasFechadas');
        posicaoWidgets[3] = templateManager.container.getWidget('Endereco');
        posicaoWidgets[4] = templateManager.container.getWidget('Historico');
        posicaoWidgets.forEach(function(posWidget) {
            var originalName;
            if(widget.currentRow.TELAORIGINAL == 'LANCAMENTO') originalName = "Lançamento de Pedidos";
            else originalName = "Aprovação Financeira";
            posWidget.actions[0].label = originalName;
        });
        if(widget.currentRow.CDCLIENTE == undefined || widget.currentRow.CDCLIENTE == null) {
            General.callRestEngine('ped#/crud/cliente_vendedor', 'FilterData', []).then(function(response) {
                widget.currentRow.CDCLIENTE = response.dataset.cliente_vendedor[0].CDCLIENTE;
                widget.currentRow.NMRAZSOCCLIE = response.dataset.cliente_vendedor[0].NMRAZSOCCLIE;
                this.searchData(widget);
                this.initialized = true;
            }.bind(this));
        } else {
            this.searchData(widget);
            this.initialized = true;
        }
    };
    
    this.returnOriginal = function(widget) {
        if(widget.currentRow.TELAORIGINAL == 'LANCAMENTO')
        ScreenService.openWindow('ped_pedidos#ped00100_lancamento_pedido');
        else ScreenService.openWindow('ped_pedidos#ped00300_aprovacao');
    };
    
    this.toggleCloseSwipe = function(widget) {
        widget.actions[0].isVisible = false;
        widget.actions[1].isVisible = true;
    };
    
    this.closeSwipe = function(widget) {
        ScreenService.closeSwipe();
        widget.actions[0].isVisible = true;
        widget.actions[1].isVisible = false;
    };
    
    this.searchData = function(widget) {
        ZHPromise.all().then(function(){
            var filtro;
            var i;
            var promisses = [];
            var activeWidget = templateManager.container.getActiveWidget();
            if (activeWidget.name == 'posicaoFinanceira' && this.initialized|| activeWidget.name == 'PosicaoFinanceira'  && 
                this.initialized|| activeWidget.name == 'widgetPosicao' && this.initialized) {
                if (widget.name == undefined && widget.widgets == undefined) {
                    widget = widget.owner.field.widget;
                } else if (widget.name == "PosicaoFinanceira") { 
                    widget = widget.getParent().getParent();
                }
                if(widget.widgets[0].currentRow.DTPREVIVENDA == undefined || widget.widgets[0].currentRow.DTPREVIVENDA.start == null) {
                    widget.widgets[0].currentRow.DTINI = null;
                    widget.widgets[0].currentRow.DTFIM = null;
                    widget.widgets[0].currentRow.TDATA = 'T';
                } else {
                    widget.widgets[0].currentRow.DTINI =  widget.widgets[0].currentRow.DTPREVIVENDA.start;
                    widget.widgets[0].currentRow.DTFIM =  widget.widgets[0].currentRow.DTPREVIVENDA.end;
                    widget.widgets[0].currentRow.TDATA = null;
                }
                
                for(i=0; i<widget.widgets[0].widgets[0].fields.length; i++) {
                    widget.widgets[0].widgets[0].fields[i].clearValue();
                }
                filtro = [];
                filtro[0] = widget.currentRow;
                filtro[1] = widget.widgets[0].currentRow;
                
                Ped00301_posicaoFinanceiraCliente_Service.getPosicaoFinanceira(filtro).then(function(response) {
                    var posFis = response.dataset.posicaoFinanceira;
                    var row = widget.widgets[0].widgets[0].currentRow;
                    
                    if (posFis.PRIMDATA) row.PRIMDATA = posFis.PRIMDATA.substr(0,10);
                    if (posFis.PRIMCOMPRA) row.PRIMCOMPRA = posFis.PRIMCOMPRA;
                    if (posFis.ULTDATA) row.ULTDATA = posFis.ULTDATA.substr(0,10);
                    if (posFis.ULTCOMPRA) row.ULTCOMPRA = posFis.ULTCOMPRA;
                    if (posFis.TOTALCOMPRA) row.TOTALCOMPRA = posFis.TOTALCOMPRA; else row.TOTALCOMPRA = "0";
                   
                    if (posFis.TOTCOMPAG) row.TOTCOMPAG = posFis.TOTCOMPAG; else row.TOTCOMPAG = "0";
                    if (posFis.TOTATR) row.TOTATR = posFis.TOTATR; else row.TOTATR = "0";
                    if (posFis.TOTVENC) row.TOTVENC = posFis.TOTVENC; else row.TOTVENC = "0";
                    if (posFis.TOTAVENC) row.TOTAVENC = posFis.TOTAVENC; else row.TOTAVENC = "0";
                    
                    if (posFis.MAIORDATA) row.MAIORDATA = posFis.MAIORDATA.substr(0,10);
                    if (posFis.MAIORVALOR) row.MAIORVALOR = posFis.MAIORVALOR; else row.MAIORVALOR = "0";
                    
                    if (posFis.NRDIASATRASO) row.NRDIASATRASO = posFis.NRDIASATRASO; else row.NRDIASATRASO = "0";
                    if (posFis.VRMATR) row.VRMATR = posFis.VRMATR; else row.VRMATR = "0";
                    
                    if (posFis.DTATRAB) row.DTATRAB = posFis.DTATRAB; else row.DTATRAB = "0";
                    if (posFis.VRATRAB)  row.VRATRAB = posFis.VRATRAB; else row.VRATRAB = "0";
                }.bind(this));   
            }
            if(activeWidget.name == 'ContasAbertas') {
                if(widget.name != 'widgetPosicao') {
                    if(widget.name == 'ContasAbertas') widget = widget.getParent().getParent();
                    else if (widget.name == 'ContasHolder') widget = widget.getParent();
                    else if (widget.owner.field.name == 'NMRAZSOCCLIE') widget = widget.owner.field.widget;
                }
                // if(this.filialLogada == '') {
                // }
                promisses.push(Ped00301_posicaoFinanceiraCliente_Service.getFilialLogada());
                if(widget.widgets[1].currentRow.DTPREVIVENDA == undefined || widget.widgets[1].currentRow.DTPREVIVENDA.start == null) {
                    widget.widgets[1].currentRow.DTINI = null;
                    widget.widgets[1].currentRow.DTFIM = null;
                    widget.widgets[1].currentRow.TDATA = 'T';
                } else {
                    widget.widgets[1].currentRow.DTINI =  widget.widgets[1].currentRow.DTPREVIVENDA.start;
                    widget.widgets[1].currentRow.DTFIM =  widget.widgets[1].currentRow.DTPREVIVENDA.end;
                    widget.widgets[1].currentRow.TDATA = null;
                }
                filtro = [];
                filtro[0] = widget.currentRow;
                
                ZHPromise.all(promisses).then(function(callback) {
                    if(callback[0]) {
                        this.filialLogada = callback[0][0];
                    }
                    if(widget.widgets[1].currentRow.NMFILIAL == undefined) {
                        widget.widgets[1].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[1].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    } else {
                        this.filialLogada = {
                            "CDFILIAL": widget.widgets[1].currentRow.CDFILIAL ? widget.widgets[1].currentRow.CDFILIAL : this.filialLogada.CDFILIAL, 
                            "NMFILIAL": widget.widgets[1].currentRow.NMFILIAL ? widget.widgets[1].currentRow.NMFILIAL : this.filialLogada.NMFILIAL 
                        };
                        widget.widgets[3].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[3].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    }
                    filtro[1] = widget.widgets[1].currentRow;
                    filtro[1].CDFILIAL = this.filialLogada.CDFILIAL;
                    filtro[1].NMFILIAL = this.filialLogada.NMFILIAL;
                    Ped00301_posicaoFinanceiraCliente_Service.getContasAbertas(filtro).then(function(response) {
                        if(response.dataset.contasAbertas) {
                            widget.widgets[1].widgets[0].dataSource.data = [];
                            for(var i=0; i<response.dataset.contasAbertas.length; i++) {
                                var result = response.dataset.contasAbertas[i];
                                var row = {
                                    "NRNOTAFISC": result.NRNOTAFISC,
                                    "DTEMISSAO": result.DTEMISSAO.substr(0,10),
                                    "DTATUAVENREC": result.DTATUAVENREC.substr(0,10),
                                    "VRORIGREC": result.VRORIGREC,
                                    "CDCARTCOBBOL": result.CDCARTCOBBOL,
                                    "NRDIASATRASO": result.NRDIASATRASO,
                                    "NMFANVEN": result.NMFANVEN,
                                    "NRLANBOLREC": result.NRLANBOLREC,
                                    "VRATUAREC": result.VRATUAREC
                                };
                                widget.widgets[1].widgets[0].dataSource.data.push(row);
                            }
                        }
                    }.bind(this));
                }.bind(this));
            }
            if(activeWidget.name == 'TipoDeRecAberto') {
                if(widget.name == 'TipoDeRecAberto') widget = widget.getParent();
                widget.widgets[0].dataSource.data = [];
                filtro = [];
                filtro[0] = widget.currentRow;
                filtro[1] = widget.getParent().currentRow;
                Ped00301_posicaoFinanceiraCliente_Service.getTipoRecAbertas(filtro).then(function(response) {
                    if(response.dataset.tipoRecAbertas) {
                        for(var i=0; i<response.dataset.tipoRecAbertas.length; i++) {
                            var result = response.dataset.tipoRecAbertas[i];
                            var row = {
                                "NMTIPORECE": result.NMTIPORECE,
                                "VRTPRECBOLR": result.VRTPRECBOLR,
                                "CDCONTCORR": result.CDCONTCORR,
                                "NMTPBAIXAREC": result.NMTPBAIXAREC,
                                "NRCHEQBOLREC": result.NRCHEQBOLREC,
                                "DTCHEQBOLREC": result.DTCHEQBOLREC,
                                "NRCARCREBOLR": result.NRCARCREBOLR,
                                "NMCARTAO": result.NMCARTAO
                            };
                            widget.widgets[0].dataSource.data.push(row);
                        }
                    }
                }.bind(this));
            }
            if(activeWidget.name == 'ContasFechadas') {
                if(widget.name != 'widgetPosicao') {
                    if(widget.name == 'ContasFechadas') widget = widget.getParent().getParent();
                    else if (widget.name == 'ContasHolder') widget = widget.getParent();
                    else if (widget.owner.field.name == 'NMRAZSOCCLIE') widget = widget.owner.field.widget;
                }
                if(this.filialLogada == '') {
                    promisses.push(Ped00301_posicaoFinanceiraCliente_Service.getFilialLogada());
                }
                if(widget.widgets[1].currentRow.DTPREVIVENDA == undefined || widget.widgets[1].currentRow.DTPREVIVENDA.start == null) {
                    widget.widgets[1].currentRow.DTINI = null;
                    widget.widgets[1].currentRow.DTFIM = null;
                    widget.widgets[1].currentRow.TDATA = 'T';
                } else {
                    widget.widgets[1].currentRow.DTINI =  widget.widgets[1].currentRow.DTPREVIVENDA.start;
                    widget.widgets[1].currentRow.DTFIM =  widget.widgets[1].currentRow.DTPREVIVENDA.end;
                    widget.widgets[1].currentRow.TDATA = null;
                }
                filtro = [];
                filtro[0] = widget.currentRow;
                ZHPromise.all(promisses).then(function(callback) {
                    if(callback[0]) {
                        this.filialLogada = callback[0][0];
                    }
                    if(widget.widgets[1].currentRow.NMFILIAL == undefined) {
                        widget.widgets[1].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[1].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    } else {
                        this.filialLogada = {
                            "CDFILIAL": widget.widgets[1].currentRow.CDFILIAL,
                            "NMFILIAL": widget.widgets[1].currentRow.NMFILIAL
                        };
                        widget.widgets[3].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[3].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    }
                    filtro[1] = widget.widgets[1].currentRow;
                    Ped00301_posicaoFinanceiraCliente_Service.getContasFechadas(filtro).then(function(response) {
                        if(response.dataset.contasFechadas) {
                            widget.widgets[1].widgets[1].dataSource.data = [];
                            for(var i=0; i<response.dataset.contasFechadas.length; i++) {
                                var result = response.dataset.contasFechadas[i];
                                var row = {
                                    "NRNOTAFISC": result.NRNOTAFISC,
                                    "DTEMISSAO": result.DTEMISSAO.substr(0,10),
                                    "DTATUAVENREC": result.DTATUAVENREC.substr(0,10),
                                    "VRORIGREC": result.VRORIGREC,
                                    "CDCARTCOBBOL": result.CDCARTCOBBOL,
                                    "NRDIASATRASO": result.NRDIASATRASO,
                                    "NMFANVEN": result.NMFANVEN,
                                    "NRLANBOLREC": result.NRLANBOLREC,
                                    "VRATUAREC": result.VRATUAREC
                                };
                                widget.widgets[1].widgets[1].dataSource.data.push(row);
                            }
                        }
                    }.bind(this));
                }.bind(this));
            }
            if(activeWidget.name == 'TipoDeRecFechado') {
                if(widget.name == 'TipoDeRecFechado') widget = widget.getParent();
                widget.widgets[0].dataSource.data = [];
                filtro = [];
                filtro[0] = widget.currentRow;
                filtro[1] = widget.getParent().currentRow;
                Ped00301_posicaoFinanceiraCliente_Service.getTipoRecFechadas(filtro).then(function(response) {
                    if(response.dataset.tipoRecAbertas) {
                        for(var i=0; i<response.dataset.tipoRecAbertas.length; i++) {
                            var result = response.dataset.tipoRecAbertas[i];
                            var row = {
                                "NMTIPORECE": result.NMTIPORECE,
                                "VRTPRECBAIXA": result.VRTPRECBAIXA,
                                "CDCONTCORR": result.CDCONTCORR,
                                "NMTPBAIXAREC": result.NMTPBAIXAREC,
                                "NRCHEQBAIREC": result.NRCHEQBAIREC,
                                "DTCHEQBAIREC": result.DTCHEQBAIREC,
                                "NRCARCREBREC": result.NRCARCREBREC,
                                "NMCARTAO": result.NMCARTAO
                            };
                            widget.widgets[0].dataSource.data.push(row);
                        }
                    }
                }.bind(this));
            }
            if(activeWidget.name == 'Endereco') {
                if(widget.name != 'widgetPosicao') {
                    if(widget.name == 'Endereco') widget = widget.getParent().getParent();
                    else if(widget.owner.field.name == 'NMRAZSOCCLIE') widget = widget.owner.field.widget;
                    else if(widget.owner.field.name == 'TPENDERECO') widget = widget.owner.field.widget.getParent();
                }
                if(widget.widgets[2].currentRow.TPENDERECO == undefined) {
                    widget.widgets[2].currentRow = {
                        "CDENDERECO": "P",
                        "TPENDERECO": "P"
                    };
                }
                filtro = [];
                filtro[0] = widget.currentRow;
                filtro[1] = widget.widgets[2].currentRow;
                
                for(i=0; i<widget.widgets[2].widgets[0].fields.length; i++) {
                    widget.widgets[2].widgets[0].fields[i].clearValue();
                }
                
                Ped00301_posicaoFinanceiraCliente_Service.getEndereco(filtro).then(function(response) {
                    var endereco = response.dataset.endereco[0];
                    if(endereco) {
                        widget.widgets[2].widgets[0].currentRow.DSENDECLIE = endereco.DSENDECLIE;
                        widget.widgets[2].widgets[0].currentRow.NMBAIRCLIE = endereco.NMBAIRCLIE;
                        widget.widgets[2].widgets[0].currentRow.NRCEPCLIE = endereco.NRCEPCLIE;
                        widget.widgets[2].widgets[0].currentRow.NMPAIS = endereco.NMPAIS;
                        widget.widgets[2].widgets[0].currentRow.SGESTADO = endereco.SGESTADO;
                        widget.widgets[2].widgets[0].currentRow.NMMUNICIPIO = endereco.NMMUNICIPIO;
                        
                        widget.widgets[2].widgets[0].currentRow.NRTELECLIE = endereco.NRTELECLIE;
                        widget.widgets[2].widgets[0].currentRow.NRRAMALCLIE = endereco.NRRAMALCLIE;
                        widget.widgets[2].widgets[0].currentRow.NMCONTCLIE = endereco.NMCONTCLIE;
                        widget.widgets[2].widgets[0].currentRow.NRTELECLIE1 = endereco.NRTELECLIE1;
                        widget.widgets[2].widgets[0].currentRow.NRRAMALCLIE1 = endereco.NRRAMALCLIE1;
                        widget.widgets[2].widgets[0].currentRow.DSEMAILCLIE = endereco.DSEMAILCLIE;
                        widget.widgets[2].widgets[0].currentRow.NRCELULARCLI = endereco.NRCELULARCLI;
                        widget.widgets[2].widgets[0].currentRow.NRTELRESICLI = endereco.NRTELRESICLI;
                        widget.widgets[2].widgets[0].currentRow.NRFAXCLIE = endereco.NRFAXCLIE;   
                    }
                }.bind(this));
            }
            if(activeWidget.name == 'Historico') {
                if(widget.name != 'widgetPosicao') {
                    if(widget.name == 'Historico') widget = widget.getParent().getParent();
                    else if (widget.name == 'HistoricoHolder') widget = widget.getParent();    
                    else if (widget.owner.field.name == 'NMRAZSOCCLIE') widget = widget.owner.field.widget;
                }
                if(this.filialLogada == '') {
                    promisses.push(Ped00301_posicaoFinanceiraCliente_Service.getFilialLogada());
                }
                if(widget.widgets[3].currentRow.DTPREVIVENDA == undefined || widget.widgets[3].currentRow.DTPREVIVENDA.start == null) {
                    widget.widgets[3].currentRow.DTINI = null;
                    widget.widgets[3].currentRow.DTFIM = null;
                    widget.widgets[3].currentRow.TDATA = 'T';
                } else {
                    widget.widgets[3].currentRow.DTINI =  widget.widgets[3].currentRow.DTPREVIVENDA.start;
                    widget.widgets[3].currentRow.DTFIM =  widget.widgets[3].currentRow.DTPREVIVENDA.end;
                    widget.widgets[3].currentRow.TDATA = null;
                }
                ZHPromise.all(promisses).then(function(callback) {
                    if(callback[0]) {
                        this.filialLogada = callback[0][0];
                    }
                    if(widget.widgets[3].currentRow.NMFILIAL == undefined) {
                        widget.widgets[3].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[3].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    } else {
                        this.filialLogada = {
                            "CDFILIAL": widget.widgets[3].currentRow.CDFILIAL,
                            "NMFILIAL": widget.widgets[3].currentRow.NMFILIAL
                        };
                        widget.widgets[1].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[1].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    }
                    var filtro = [];
                    filtro[0] = widget.currentRow;
                    filtro[1] = widget.widgets[3].currentRow;
                    Ped00301_posicaoFinanceiraCliente_Service.getHistorico(filtro).then(function(response) {
                        if(response.dataset.historico) {
                            widget.widgets[3].widgets[0].dataSource.data = [];
                            var vrTotal = 0;
                            var vrTotalLiq = 0;
                            for(var i=0; i<response.dataset.historico.length; i++) {
                                var result = response.dataset.historico[i];
                                vrTotal += result.VRTOTALPED;
                                vrTotalLiq += result.VRTOTPEDLIQ;
                                var row = {
                                    "NRPEDIDO": result.NRPEDIDO,
                                    "DTENTREGA": result.DTENTPED.substr(0,10),
                                    "NMFANVEN": result.NMFANVEN,
                                    "NMTIPOOPER": result.NMTIPOOPER,
                                    "DSMODPGTO": result.DSMODPGTO,
                                    "VRTOTPEDLIQ": result.VRTOTPEDLIQ,
                                    "VRTOTALPED": result.VRTOTALPED
                                };
                                widget.widgets[3].widgets[0].dataSource.data.push(row);
                            }
                            widget.widgets[3].currentRow.TOTALVRBRUTO = vrTotal;
                            widget.widgets[3].currentRow.TOTALVRLIQUIDO = vrTotalLiq;
                        }
                    }.bind(this));
                }.bind(this));
            }
            if(activeWidget.name == 'HistContas') {
                if(widget.name != 'widgetPosicao') {
                    if(widget.name == 'HistContas') widget = widget.getParent().getParent();
                    else if (widget.name == 'HistoricoHolder') widget = widget.getParent();    
                    else if (widget.owner.field.name == 'NMRAZSOCCLIE') widget = widget.owner.field.widget;
                }
                if(this.filialLogada == '') {
                    promisses.push(Ped00301_posicaoFinanceiraCliente_Service.getFilialLogada());
                }
                if(widget.widgets[3].currentRow.DTPREVIVENDA == undefined || widget.widgets[3].currentRow.DTPREVIVENDA.start == null) {
                    widget.widgets[3].currentRow.DTINI = null;
                    widget.widgets[3].currentRow.DTFIM = null;
                    widget.widgets[3].currentRow.TDATA = 'T';
                } else {
                    widget.widgets[3].currentRow.DTINI =  widget.widgets[3].currentRow.DTPREVIVENDA.start;
                    widget.widgets[3].currentRow.DTFIM =  widget.widgets[3].currentRow.DTPREVIVENDA.end;
                    widget.widgets[3].currentRow.TDATA = null;
                }
                ZHPromise.all(promisses).then(function(callback) {
                    if(callback[0]) {
                        this.filialLogada = callback[0][0];
                    }
                    if(widget.widgets[3].currentRow.NMFILIAL == undefined) {
                        widget.widgets[3].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[3].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    } else {
                        this.filialLogada = {
                            "CDFILIAL": widget.widgets[3].currentRow.CDFILIAL,
                            "NMFILIAL": widget.widgets[3].currentRow.NMFILIAL
                        };
                        widget.widgets[1].currentRow.CDFILIAL = this.filialLogada.CDFILIAL;
                        widget.widgets[1].currentRow.NMFILIAL = this.filialLogada.NMFILIAL;
                    }
                    var filtro = [];
                    filtro[0] = widget.currentRow;
                    filtro[1] = widget.widgets[3].currentRow;
                    Ped00301_posicaoFinanceiraCliente_Service.getHistContas(filtro).then(function(response) {
                        if(response.dataset.historicoContas) {
                            widget.widgets[3].widgets[1].dataSource.data = [];
                            for(var i=0; i<response.dataset.historicoContas.length; i++) {
                                var result = response.dataset.historicoContas[i];
                                var row = {
                                    "DSCDFISOPENF": result.DSCDFISOPENF,
                                    "NRNOTAFISC": result.NRNOTAFISC,
                                    "DTEMISSAO": result.DTEMISSAO.substr(0,10),
                                    "NMRAZSOCTRAN": result.NMRAZSOCTRAN,
                                    "DTENTRSAID": result.DTENTRSAID.substr(0,10),
                                    "DTATUAVENREC": result.DTATUAVENREC.substr(0,10),
                                    "VRORIGREC": result.VRORIGREC,
                                    "VRATUAREC": result.VRATUAREC,
                                    "DTATRASO": result.DTATRASO,
                                    "IDSTATREC": result.IDSTATREC
                                };
                                widget.widgets[3].widgets[1].dataSource.data.push(row);
                            }
                        }
                    }.bind(this));
                }.bind(this));
            }
        }.bind(this));
    };
};

Configuration(function(ContextRegister){
    ContextRegister.register('Ped00301_posicaoFinanceiraCliente_Controller', Ped00301_posicaoFinanceiraCliente_Controller);
});