function lancamentoDePedidos() {
	let ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	let z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geralPage = new Helper.geral();
	const protractorHelper = require('protractor-helper');
	
	
	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Pedidos', 'Lançamento', 'Lançamento de Pedido']);
		geralPage.esperarLoading();
		
    };
    
    this.adicionarPedido = (dataValida, clientePed, vendedorPed, tabelaPreço) => {
		geralPage.clickAndFillField('DTVALIPED', dataValida);
		geralPage.clickLimparAutoComplete('NMRAZSOCCLIE');
		geralPage.searchAndClickGridField('NMRAZSOCCLIE', clientePed, 'NMRAZSOCCLIE');
		geralPage.clickLimparAutoComplete('NMFANVEN');
		geralPage.searchAndClickGridField('NMFANVEN', vendedorPed, 'NMFANVEN');
		geralPage.searchAndClickGridField('DSPRECOBASE', tabelaPreço, 'DSPRECOBASE');
	};
    this.adicionarPedido1 = (produtoN1, quantidade) => {
		geralPage.searchAndClickGridField('NMPRODUTO', produtoN1, 'NMPRODUTO');
		geralPage.clickAndFillField('QTITEMPED', quantidade); 
	};
	this.adicionarPedido2 = (produtoN2, quantidade, ) => {
		geralPage.searchAndClickGridField('NMPRODUTO', produtoN2, 'NMPRODUTO');
		geralPage.clickAndFillField('QTITEMPED', quantidade);       
	};

	
    }
	module.exports = new lancamentoDePedidos();