function Ped03600_comissaoVendedor_Controller(General, templateManager, ScreenService, ZhFilterPreferences, ZHPromise) {
    
    this.startFiltering = function(widget){
        var promises = [];
        /*widget = templateManager.container.getActiveWidget();
        promises.push(ZhFilterPreferences.setOriginalFilter(widget.id));
        promises.push(ZhFilterPreferences.openFilterWidget(widget));
        ZHPromise.all(promises).then(function(rowSetFilter){*/
             this.setValues();
        // }.bind(this)); 
    };
    
    this.setActions = function(name){
        if (name == 'editar') {
            templateManager.container.getWidget('widgetVendedor').getAction('salvarEdit').isVisible = true;
            templateManager.container.getWidget('widgetVendedor').getAction('salvar').isVisible = false;
        } else {
            templateManager.container.getWidget('widgetVendedor').getAction('salvar').isVisible = true;
            templateManager.container.getWidget('widgetVendedor').getAction('salvarEdit').isVisible = false;
        }    
    };
    
    this.setValues = function() {
        
        var widget = templateManager.container.getWidget('widgetPedidos');
        var cdfilial = templateManager.container.getWidget('tabbedComisVend').getField('CDFILIAL').value();
        widget.applyDefaultValue();
        
        widget.container.getActiveWidget().getField('IDPRIOPED').setValue(["3", "2", "1"]);
        widget.container.getActiveWidget().getField('IDSITPEDIDO').setValue(["6", "5", "4", "3", "2", "1"]);
        widget.container.getActiveWidget().getField('IDSITITEMPED').setValue(["7", "6", "5", "4", "3", "2", "1"]);
        
        widget.dataSourceFilter[0].value = cdfilial;
        
        this.filtroNmPedido();
        this.filtroCliente();
        this.filtroProdutos();
        this.filtroMunicipioCliente();
        
        widget.reload();
    };
    
    this.filtroNmPedido = function(){
        var widget = templateManager.container.getWidget('widgetPedidos');
        
        if (widget.container.getActiveWidget().getField('P_TPEDIDO').value() == 'L') {
           
           widget.container.getActiveWidget().getField('NRPEDIDO').readOnly = false;
           widget.container.getActiveWidget().getField('NRPEDIDO').reload();
           widget.container.getActiveWidget().getField('P_INTERVALODE').readOnly = true;
           widget.container.getActiveWidget().getField('P_INTERVALOATE').readOnly = true;
           widget.container.getActiveWidget().getField('NRPEDIDO').validations = {required: true};
           
           delete (widget.container.getActiveWidget().getField('P_INTERVALODE').validations);
           delete (widget.container.getActiveWidget().getField('P_INTERVALOATE').validations);
           
           widget.container.getActiveWidget().getField('P_INTERVALODE').setValue('');
           widget.container.getActiveWidget().getField('P_INTERVALOATE').setValue('');
            
        } else if (widget.container.getActiveWidget().getField('P_TPEDIDO').value() == 'I') {
           
           widget.container.getActiveWidget().getField('NRPEDIDO').readOnly = true;
           widget.container.getActiveWidget().getField('P_INTERVALODE').readOnly = false;
           widget.container.getActiveWidget().getField('P_INTERVALOATE').readOnly = false;
           widget.container.getActiveWidget().getField('P_INTERVALODE').validations = {required: true};
           widget.container.getActiveWidget().getField('P_INTERVALOATE').validations = {required: true};
           
           delete (widget.container.getActiveWidget().getField('NRPEDIDO').validations);
           
           widget.container.getActiveWidget().getField('NRPEDIDO').setValue('');
           
        } else if (widget.container.getActiveWidget().getField('P_TPEDIDO').value() == 'T') {
           
           widget.container.getActiveWidget().getField('NRPEDIDO').readOnly = true;
           widget.container.getActiveWidget().getField('P_INTERVALODE').readOnly = true;
           widget.container.getActiveWidget().getField('P_INTERVALOATE').readOnly = true;
           
           delete (widget.container.getActiveWidget().getField('P_INTERVALODE').validations);
           delete (widget.container.getActiveWidget().getField('P_INTERVALOATE').validations);
           delete (widget.container.getActiveWidget().getField('NRPEDIDO').validations);
           
           widget.container.getActiveWidget().getField('NRPEDIDO').setValue('');
           widget.container.getActiveWidget().getField('P_INTERVALOATE').setValue('');
           widget.container.getActiveWidget().getField('P_INTERVALODE').setValue('');
        }
    };
    
    this.filtroCliente = function(){
        
        var widget = templateManager.container.getWidget('widgetPedidos');
        
        if (widget.container.getActiveWidget().getField('P_TCLIENTE').value() == 'L') {
           
            widget.container.getActiveWidget().getField('CDCLIENTE').readOnly = false;
            widget.container.getActiveWidget().getField('CDCLIENTE').reload();
            widget.container.getActiveWidget().getField('CDCLIENTE').validations = {required: true};
        } else {
            
            widget.container.getActiveWidget().getField('CDCLIENTE').readOnly = true;
            delete (widget.container.getActiveWidget().getField('CDCLIENTE').validations);
            widget.container.getActiveWidget().getField('CDCLIENTE').setValue('');
        }
    };
     
    this.filtroMunicipioCliente = function(){
        var widget = templateManager.container.getWidget('widgetPedidos');
        
        if (widget.container.getActiveWidget().getField('P_TCDMUNICIPIO').value() == 'L') {
            widget.container.getActiveWidget().getField('CDMUNICIPIO').readOnly = false;
            widget.container.getActiveWidget().getField('CDMUNICIPIO').reload();
            widget.container.getActiveWidget().getField('CDMUNICIPIO').validations = {required: true};
           
        } else {
            widget.container.getActiveWidget().getField('CDMUNICIPIO').readOnly = true;
            delete(widget.container.getActiveWidget().getField('CDMUNICIPIO').validations);
            widget.container.getActiveWidget().getField('CDMUNICIPIO').setValue('');
        }
    };
    
    this.filtroProdutos = function(){
        var widget = templateManager.container.getWidget('widgetPedidos');
        if (widget.container.getActiveWidget().getField('P_TPRODUTO').value() == 'L') {
            
           widget.container.getActiveWidget().getField('CDPRODUTO').readOnly = false;
           widget.container.getActiveWidget().getField('CDPRODUTO').reload();
           widget.container.getActiveWidget().getField('CDPRODUTO').validations = {required: true};
            
        } else {
            
            widget.container.getActiveWidget().getField('CDPRODUTO').readOnly = true;
            delete (widget.container.getActiveWidget().getField('CDPRODUTO').validations);
            widget.container.getActiveWidget().getField('CDPRODUTO').setValue('');
        }
    };
    
    this.salvarEdit = function(){
        var widget = templateManager.container.getWidget('widgetVendedor');
        var data = widget.dataSource.data;
        var result = 0;
        for(var i = 0; i < data.length; i++){
            if(data[i].CDVENDEDOR == widget.currentRow.CDVENDEDOR){
                result++;
            }
        }
        if(result > 1){
            ScreenService.showMessage('Impossível adicionar. Registro já existe.');
        }else{
            var soma = 0;
            var aux;
            var comis = parseFloat(templateManager.container.getActiveWidget().fields[5].value());
            data.forEach(function(x){
                aux = parseFloat(x.VRPECOMITPED);
                soma = soma + aux;
            });
            if(comis > 0){
                if((soma > 0) && (soma <=100)){
                    General.saveCrud(widget);
                }else if(soma > 100){
                    ScreenService.showMessage('Valor total das comissões de um item deve estar entre 0 e 100%.');
                    templateManager.container.getActiveWidget().fields[5].setValue('');
                }
            }else{
                ScreenService.showMessage('Percentual de comissão deve ser maior que zero.');
                templateManager.container.getActiveWidget().fields[5].setValue('');
            }
        }

    };
    
    this.salvar = function(){
        var widget = templateManager.container.getWidget('widgetVendedor');
        if(widget.isValid()){
            var data = templateManager.container.getActiveWidget().dataSource.data;
            var soma = 0;
            var aux;
            data.forEach(function(x){
                aux = parseFloat(x.VRPECOMITPED);
                soma = soma + aux;
            });
            var comis = parseFloat(templateManager.container.getActiveWidget().fields[5].value());
            if(comis > 0){
                if((soma > 0) && (soma <=100)){
                    ScreenService.confirmMessage(ScreenService.i18n('Deseja gravar o percentual de comissão do vendedor para todos os itens do pedido?'), 'question', function (success) {
                       var dataItens = templateManager.container.getWidget('widgetItens').dataSource.data;
                       var dados = [];
                       for(var i = 0; i < dataItens.length; i++){
                           
                            dados[i] = {
                                'CDFILIAL':widget.currentRow.CDFILIAL,
                                'CDVENDEDOR': widget.currentRow.CDVENDEDOR,
                                'NMFANVEN': widget.currentRow.NMFANVEN,
                                'NRITEMPED': dataItens[i].NRITEMPED,
                                'NRPEDIDO': widget.currentRow.NRPEDIDO,
                                'VRPECOMITPED': widget.currentRow.VRPECOMITPED,
                                'IDGERACOMISVEND': 'S',
                                '__is_new': widget.currentRow.__is_new,
                                'changed': widget.currentRow.changed
                           };
                           
                        }
                        General.callRestEngine("ped_pedidos#/vendedor_venditemped_pedido/salvar", "DataSet", dados).then(function(response){
                            dados = [];
                            widget.view();
                            widget.reload();
                            ScreenService.goBack();
                            widget.currentRow = [];
                        }).catch(function(error){
                            ScreenService.showMessage(error.data.error);
                            widget.view();
                            widget.reload();
                            ScreenService.goBack();
                            widget.currentRow = [];
                        });
                	}.bind(this), 
                	function(error) {
                	    var dataSourceWid = widget.dataSource.data;
                	    for(var j = 0; j < dataSourceWid.length; j++){
                	        if(j != (dataSourceWid.length - 1)){
                	            if(widget.dataSource.data[j].__is_new == true){
                	                widget.dataSource.data[j].__is_new = false;
                	            }
                	        }
                	    }
                        General.saveCrud(templateManager.container.getActiveWidget());
                	}.bind(this));
                }else if(soma > 100){
                    ScreenService.showMessage('Valor total das comissões de um item deve estar entre 0 e 100%.');
                    templateManager.container.getActiveWidget().fields[5].setValue('');
                }
            }else{
                ScreenService.showMessage('Percentual de comissão deve ser maior que zero.');
                templateManager.container.getActiveWidget().fields[5].setValue('');
            }
            
        }
    };
 
}
    


Configuration(function(ContextRegister){
    ContextRegister.register('Ped03600_comissaoVendedor_Controller', Ped03600_comissaoVendedor_Controller);
});

